From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-lang/fbc/
Date: Sun, 27 Dec 2020 12:48:22 +0000 (UTC) [thread overview]
Message-ID: <1609027400.a56587cc5ee323c8081d907534f76dde7b3ba510.andrewammerlaan@gentoo> (raw)
commit: a56587cc5ee323c8081d907534f76dde7b3ba510
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Dec 27 00:02:41 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Dec 27 00:03:20 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a56587cc
dev-lang/fbc: fix for missing header
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-lang/fbc/fbc-1.07.2-r1.ebuild | 92 +++++++++++++++++++++++++++++++++++++++
1 file changed, 92 insertions(+)
diff --git a/dev-lang/fbc/fbc-1.07.2-r1.ebuild b/dev-lang/fbc/fbc-1.07.2-r1.ebuild
new file mode 100644
index 00000000..324c8741
--- /dev/null
+++ b/dev-lang/fbc/fbc-1.07.2-r1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A free/open source, multi-platform BASIC compiler."
+HOMEPAGE="https://www.freebasic.net"
+SRC_URI="
+ https://github.com/freebasic/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/freebasic/${PN}/releases/download/${PV}/FreeBASIC-${PV}-source-bootstrap.tar.xz
+"
+
+LICENSE="FDL-1.2 GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gpm libffi opengl X"
+
+DEPEND="
+ sys-libs/ncurses:=
+ gpm? ( sys-libs/gpm )
+ libffi? ( dev-libs/libffi )
+ opengl? ( virtual/opengl )
+ X? (
+ x11-libs/libX11
+ x11-libs/libXext
+ x11-libs/libXpm
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}/${PN}-1.07.0-Pass-ltinfo-to-linker.patch" )
+
+DOCS="${S}/doc/fbc.1"
+
+BOOTSTRAP_S="${WORKDIR}/FreeBASIC-${PV}-source-bootstrap"
+
+src_unpack() {
+ # We only need bootstrap source code if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ unpack "FreeBASIC-${PV}-source-bootstrap.tar.xz"
+ fi
+ unpack "${P}.tar.gz"
+}
+
+src_prepare() {
+ # We only need bootstrap source code if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ cd "${BOOTSTRAP_S}" || die "cd failed"
+ eapply "${PATCHES[@]}"
+ cd "${S}" || die "cd failed"
+ fi
+ eapply_user
+}
+
+src_compile() {
+ local fbc="fbc"
+ local fbcflags=""
+
+ # We only need bootstrap compiler if fbc is not already present
+ if ! has_version dev-lang/fbc; then
+ cd "${BOOTSTRAP_S}" || die "cd failed"
+
+ # Build bootstrap compiler
+ emake bootstrap-minimal
+
+ # Set bootstrap compiler to build fbc
+ fbc="${BOOTSTRAP_S}/bin/fbc"
+ fbcflags="-i ${BOOTSTRAP_S}/inc"
+
+ cd "${S}" || die "cd failed"
+ fi
+
+ local xcflags=(
+ $(usex gpm "" "-DDISABLE_GPM")
+ $(usex libffi "" " -DDISABLE_FFI")
+ $(usex opengl "" " -DDISABLE_OPENGL")
+ $(usex X "" " -DDISABLE_X11")
+ )
+
+ # fbc requires a space after the -Wl option
+ local fblflags="${LDFLAGS//-Wl,/-Wl }"
+
+ # Build fbc
+ emake CFLAGS="${CFLAGS} ${xcflags[*]} -I/usr/$(get_libdir)/libffi/include" FBC="${fbc}" FBCFLAGS="${fbcflags}" FBLFLAGS="${fblflags}" TARGET="${CHOST}"
+}
+
+src_install() {
+ emake DESTDIR="${D}" prefix="/usr" TARGET="${CHOST}" install
+ einstalldocs
+}
next reply other threads:[~2020-12-27 12:48 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-27 12:48 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-12 13:20 [gentoo-commits] repo/proj/guru:master commit in: dev-lang/fbc/ David Roman
2024-11-12 13:20 David Roman
2021-09-08 15:20 Arthur Zamarin
2021-05-05 8:33 Andrew Ammerlaan
2021-04-30 7:45 Andrew Ammerlaan
2021-04-30 7:45 Andrew Ammerlaan
2021-04-12 5:38 Theo Anderson
2020-12-28 23:22 Andrew Ammerlaan
2020-03-09 17:55 Andrew Ammerlaan
2019-05-19 15:42 Ralph Seichter
2019-05-14 16:05 Ralph Seichter
2019-04-29 14:11 Ralph Seichter
2019-04-29 14:11 Ralph Seichter
2019-04-29 14:11 Ralph Seichter
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1609027400.a56587cc5ee323c8081d907534f76dde7b3ba510.andrewammerlaan@gentoo \
--to=andrewammerlaan@riseup.net \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox